Bug 39490 - remove nfs-common univention-home-mounter from appbox docker image?
remove nfs-common univention-home-mounter from appbox docker image?
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Docker
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Stefan Gohmann
Arvid Requate
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 12:06 CEST by Felix Botner
Modified: 2016-09-26 11:11 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2015-10-07 12:06:23 CEST
nfs-common (rdepends univention-home-mounter):
* starts daemon /sbin/rpcbind
* starts daemon /sbin/rpc.statd

univention-home-mounter (rdepends univention-pam):
* /usr/sbin/univention-mount-homedir in PAM common-session

It seems not so easy to untangle the package dependencies between univention-home-mounter, univention-pam and the various role package, so maybe it is sufficient to disable univention-mount-homedir in PAM via homedir/mount=no?
Comment 1 Stefan Gohmann univentionstaff 2015-10-23 21:41:56 CEST
(In reply to Felix Botner from comment #0)
> It seems not so easy to untangle the package dependencies between
> univention-home-mounter, univention-pam and the various role package, so
> maybe it is sufficient to disable univention-mount-homedir in PAM via
> homedir/mount=no?

root@master441:~# docker run -d --name=test11 docker.software-univention.de/ucs-appbox-amd64:4.1-0 /sbin/init
e49444b13abb7f6f9f59380bd611deef88a1c4fd562d4ce67ecf91d621266ae1
root@master441:~# docker exec -it test11 bash
root@e49444b13abb:/# dpkg -l | grep home
root@e49444b13abb:/# dpkg -l | grep nfs 
root@e49444b13abb:/# passwd
New password: 
Retype new password: 
passwd: password updated successfully
root@e49444b13abb:/# login
e49444b13abb login: root
Password:  
root@e49444b13abb:~# ucr search --brief homedir/mount
homedir/mount/required: <empty>
homedir/mount: false
root@e49444b13abb:~#

I changed the following parts:
- univention-pam now recommends univention-home-mounter: r64810
- debian/univention-docker-container-mode.postinst initializes the homedir/mount with false: r64810
- the heimdal rshd had still a dependency to the univention-home-mounter. That was added back in old univention-thin-client times: r15380

Changelog: r64820
Comment 2 Arvid Requate univentionstaff 2015-10-27 20:00:44 CET
* Ok, works.
* heimdal has been cherry picked from errata4.0-2 into ucs_4.1-0 and rebuild without 0005-rshd-univention-mount-homedir.patch. The other existing patches have been applied.
* Changelog refers to the heimdal change.

Btw: /sbin/init is the default when running ucs docker images, so it's not required as commandline argument.
Comment 3 Stefan Gohmann univentionstaff 2015-11-17 12:11:46 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".